Subject: Re: bug#63432: 30.0.50; Handle current-prefix-arg in async-shell-command

From: Juri Linkov <[email-masked]>
Date: Mon, 15 May 2023 20:17:00 +0300

> Btw, I've noticed that the ERROR-BUFFER argument is ignored by
> async-shell-command, and OUTPUT-BUFFER is not documented.  So I've now
> fixed the doc string to correct these deficiencies.
>
> (I wonder why was ERROR-BUFFER at all provided in this function in the
> first place, since the underlying shell-command cannot support it.
> Maybe we should have an advertised-calling-convention there which
> excludes it?)

Keeping the same function signatures for shell-command and async-shell-command
would allow to implement the error-buffer support for the latter in future.